<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Student | register</title>
</head>
<body>
<form th:action="@{/student/sign_up}" method="post" role="form"
      name="form1">
    <!--<text th:if="${signup == false}}">Sign up fail!!</text>-->
    <p id="name-field">
    <div class="form-group">
        <label style="color: black">Name</label>
        <div class="text-left w70 vaM">
            <input type="text" class=" form-control" name="name" id="name" required />
        </div>
    </div>
    </p>
    <p id="surname-field">
    <div class="form-group">
        <label style="color: black" for="surname">Surname</label>
        <div class="text-left w70 vaM">
            <input type="text" class=" form-control" name="surname" id="surname" required />
        </div>
    </div>
    </p>
    <p id="username-field">
    <div class="form-group">
        <label style="color: black" for="username">Username</label>
        <div class="text-left w70 vaM">
            <input type="text" class=" form-control" name="username" id="username" required />
        </div>
    </div>
    </p>
    <p id="password-field">
    <div class="form-group">
        <label style="color: black" for="password">Password</label>
        <div class="text-left w70 vaM">
            <input type="password" class=" form-control" name="password" id="password" required />
        </div>
    </div>
    </p>
    <p id="email-field">
    <div class="form-group">
        <label style="color: black" for="password">E-mail</label>
        <div class="text-left w70 vaM">
            <input type="email" class=" form-control" name="email" id="email" required />
        </div>
    </div>
    </p>
    <p id="dob-field">
    <div class="form-group">
        <label style="color: black" for="password">Birth date</label>
        <div class="text-left w70 vaM">
            <input type="date" class=" form-control" name="dob" id="dob" th:max="${date_now}" required />
        </div>
    </div>
    <p id="department-field">
    <div class="form-group">
        <label style="color: black" for="department">Department</label>
        <select name="department" id="department">
            <option th:each="department: ${department}"
                    th:value="${department.getDepartmentId()}"
                    th:text="${department.getDepartmentName()}"
                    required />
        </select>
    </div>
    <div class="form-group">
        <label style="color: black" for="gpa">GPAX</label>
        <div class="text-left w70 vaM">
            <input type="number"
                   class=" form-control"
                   name="gpa"
                   id="gpa"
                   step="0.01"
                   min="0.0"
                   max="4.0"
                   required />
        </div>
    </div>
    <div class="form-group">
        <label style="color: black" for="gender">Gender</label>
        <div class="text-left w70 vaM">
            <input type="radio" name="gender" id="gender" value="male">Male</input>
            <input type="radio" name="gender" value="female">Female</input>
        </div>
    </div>
    <div class="form-group">
        <label style="color: black" for="phone">Phone number</label>
        <div class="text-left w70 vaM">
            <input type="tel"
                   name="phoneNo"
                   id="phone"
                   placeholder="08xxxxxxxx"
                   pattern="[0]{1}[0-9]{2}[0-9]{3}[0-9]{4}"
                   required />
        </div>
    </div>
    </p>
    </p>
    <div>
        <label for="year">Year</label>
        <select name="year" id="year">
            <option th:each="year: ${yearList}"
                    th:value="${year.getYearId()}"
                    th:text="${year.getYear()}"
            />
        </select>
    </div>
    <div>
        <p>สถานะทางทหาร</p>
        <input type="radio" name="military" value="0"> ไม่ผ่านการเกณฑ์ทหาร
        <input type="radio" name="military" value="1"> ผ่านการเกณฑ์ทหาร
    </div>

    <div>
        <p>address</p>
        <textarea name="address" cols="30" rows="10">sadfasdfasdfasdfasdfsadf</textarea>
    </div>


    <div style="color: #a94442" class="help-block"
         th:if="${param.error}">
        <span>Invalid username and password.</span>
    </div>
    </p>
    <p id="signup-field">
        <input class="btn btn-primary btn-large" type="submit"
               id="sign_up" value="Sign up" />
    </p>
    <p>
        <a href="/login" class="btn btn-lg btn-primary"> <span
                class="glyphicon glyphicon-home" aria-hidden="true"></span>
            back to login
        </a>
    </p>

</form>
</body>
</html>